twig:
    file_name_pattern: '*.twig'
    default_path: '%kernel.project_dir%/templates'

    # Confort de dev
    debug: '%kernel.debug%'
    strict_variables: '%kernel.debug%'
    auto_reload: '%kernel.debug%'

    # Cache Twig (géré par Symfony ; utile en prod)
    cache: '%kernel.cache_dir%/twig'

    # Localisation par défaut (utile pour |date, |format_datetime, etc.)
    date:
        timezone: 'Africa/Kinshasa'   # adapte si besoin
        format: 'd/m/Y'               # format par défaut de |date (optionnel)

    # Formats numériques par défaut (optionnel)
    number_format:
        decimals: 0
        decimal_point: ','
        thousands_separator: ' '

    # Thème de formulaires (si tu utilises symfony/form)
    # Retire cette ligne si tu n’utilises pas les formulaires
    form_themes:
        - 'bootstrap_5_layout.html.twig'



    # Variables globales Twig (optionnel)
    globals:
        app_name: 'MonApp'

when@test:
    twig:
        strict_variables: true


